%global srcname num2words

# test requires network connection to an outside server
%global with_check 1

Name:           python-%{srcname}
Version:        0.5.10
Release:        %mkrel 2
Summary:        Modules to convert numbers to words
Group:          Development/Python

License:        GPLv3+
URL:            https://pypi.python.org/pypi/num2words
Source0:        https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
num2words is a library that converts numbers like 42 to words like forty-two.
It supports multiple languages and can even generate ordinal numbers like
forty-second (although this last feature is a bit buggy for some languages
at the moment).

%package -n python3-%{srcname}
Summary:        Modules to convert numbers to words
%{?python_provide:%python_provide python3-%{srcname}}
Provides:	num2words = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(docopt)
BuildRequires:	python3dist(delegator.py)

%description -n python3-%{srcname}
num2words is a library that converts numbers like 42 to words like forty-two.
It supports multiple languages and can even generate ordinal numbers like
forty-second (although this last feature is a bit buggy for some languages
at the moment).

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%if 0%{?with_check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{srcname}
%license COPYING
%doc README.rst CHANGES.rst
%{python3_sitelib}/*
%{_bindir}/num2words


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.5.10-2.mga8
+ Revision: 1532782
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.5.10-1.mga8
+ Revision: 1443157
- new version 0.5.10
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.5.9-1.mga7
+ Revision: 1393598
- new version 0.5.9

* Tue Jan 08 2019 tv <tv> 0.5.6-3.mga7
+ Revision: 1352451
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.6-2.mga7
+ Revision: 1289486
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 joequant <joequant> 0.5.6-1.mga7
+ Revision: 1238396
- fix summary
- add sha1.lst
- initial checkin
- Created package structure for python-num2words.

